body {
	margin: 0;
	padding: 0;
}

.flex-container {
	/* RELEMBRANDO =>
	align-items: center; */
	display: flex;
	/* RELEMBRANDO =>
	justify-content: space-between; */
	/* RELEMBRANDO =>
	flex-direction: column;
	align-items: center;
	justify-content: space-around;
	height: 100vh; */
	/* FLEX-GROW E FLEX-SHIRINK: */
}

.flex-item {
	/* flex-grow: 1; => divide a tela em pedaços e coloca de forma proporcional cada uma  */
	margin: 0%;
	flex-shrink: 1;
}

.flex-container:last-child {
	margin-top: 2em;
}

div {
	height: 50px;
	text-align: center;
	width: 50px;
}

/* .flex-item { => para funcionar o pai precisa estyar com diplay table
	display: table-cell;
	vertical-align: middle;
} */

div:nth-child(1) {
	background-color: red;
	height: 80px;
	width: 80px;
	/* flex-grow: 3; */
	flex-shrink: 0; /* com o valor 0, o item não diminui de jeito nenhum */
	/* forma curta de escrever seria apenas com flex: 1 1 25 % => 1º para grow, 2º para shirink e 3º para basis */
	/* flex-basis: basicamente um width, faz basicamente a mesma coisa. */
}

div:nth-child(2) {
	background-color: blue;
}
div:nth-child(3) {
	background-color: green;
}
div:nth-child(4) {
	background-color: yellow;
}
div:nth-child(5) {
	background-color: magenta;
}
div:nth-child(6) {
	background-color: black;
	color: white;
}
div:nth-child(7) {
	background-color: orangered;
}
div:nth-child(8) {
	background-color: silver;
}
